using System;
using System.Linq;
using System.IO;
public class Program
{
    public static void Main()
    {
        string[] ln = Console.ReadLine().Split(' ');
        int n = int.Parse(ln[0]);
        int l = int.Parse(ln[1]);
        string[] s = Console.ReadLine().Split(' ');
        int br = 0;
        for (int i = 0; i < n; i++)
        {
            int h = int.Parse(s[i]);
            if (h <= l)
            {
                Console.WriteLine(i + 1);
                break;
            }
            br++;
        }

        if (br == n)
            Console.WriteLine("-1");
    }
}